Page 1 of 3 123 LastLast
Results 1 to 10 of 23

Thread: VLC on openSUSE 13.1 not able to play

  1. #1

    Default VLC on openSUSE 13.1 not able to play

    Anyone having trouble with VLC?
    Before I upgraded from 12.3, VLC was fine. Now any video I play (mkv, mp4, mpg, avi) I get a similar error message:
    No suitable decoder module:
    VLC does not support the audio or video format "mp4v". Unfortunately there is no way for you to fix this.
    No suitable decoder module:
    VLC does not support the audio or video format "mpga". Unfortunately there is no way for you to fix this.

    I tried uninstalling/reinstalling, but that didn't help.
    Running VLC from shell gives me this:
    VLC media player 2.1.0 Rincewind (revision 2.1.0-0-gedd8835)
    [0x20d56f8] main libvlc warning: This doesn't look like a valid plugins cache
    [0x21092a8] main interface error: no suitable interface module
    [0x20d56f8] main libvlc error: interface "globalhotkeys,none" initialization failed
    [0x20d56f8] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.


    Loaded services file OK.


    [0x2a3f0e8] main decoder error: no suitable decoder module for fourcc `mp4v'. VLC probably does not support this sound or video format.
    [0x2a3f0e8] main decoder error: no suitable decoder module for fourcc `mpga'. VLC probably does not support this sound or video format.
    I looked for VLC codecs, but could not find any in the 13.1 repos.
    Any ideas?

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    24,377
    Blog Entries
    15

    Default Re: VLC on openSUSE 13.1 not able to play

    On Sun 03 Nov 2013 01:06:01 PM CST, HuaiDan wrote:


    Anyone having trouble with VLC?
    Before I upgraded from 12.3, VLC was fine. Now any video I play (mkv,
    mp4, mpg, avi) I get a similar error message:
    > No suitable decoder module:
    > VLC does not support the audio or video format "mp4v". Unfortunately
    > there is no way for you to fix this.
    > No suitable decoder module:
    > VLC does not support the audio or video format "mpga". Unfortunately
    > there is no way for you to fix this.
    >
    >
    >

    I tried uninstalling/reinstalling, but that didn't help.
    Running VLC from shell gives me this:
    > VLC media player 2.1.0 Rincewind (revision 2.1.0-0-gedd8835)
    > [0x20d56f8] main libvlc warning: This doesn't look like a valid
    > plugins cache
    > [0x21092a8] main interface error: no suitable interface module
    > [0x20d56f8] main libvlc error: interface "globalhotkeys,none"
    > initialization failed
    > [0x20d56f8] main libvlc: Running vlc with the default interface. Use
    > 'cvlc' to use vlc without interface.
    >
    >
    > Loaded services file OK.
    >
    >
    > [0x2a3f0e8] main decoder error: no suitable decoder module for fourcc
    > `mp4v'. VLC probably does not support this sound or video format.
    > [0x2a3f0e8] main decoder error: no suitable decoder module for fourcc
    > `mpga'. VLC probably does not support this sound or video format.
    >
    >

    I looked for VLC codecs, but could not find any in the 13.1 repos.
    Any ideas?

    l
    Hi
    Since the packman repos for 13.1 are not available yet, your running
    the 12.3 version of vlc....

    Your probably running the oss version of VLC?

    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SLED 11 SP3 (x86_64) GNOME 2.28.0 Kernel 3.0.93-0.8-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  3. #3

    Default Re: VLC on openSUSE 13.1 not able to play

    Quote Originally Posted by HuaiDan View Post
    I looked for VLC codecs, but could not find any in the 13.1 repos.
    Any ideas?
    They are not included for legal reasons. Just like ffmpeg, MPlayer, libxine2-codecs, and so on.
    You would have to install them from the Packman repo, but that is not available yet for 13.1.

    If you really need vlc-codecs now for the still unreleased 13.1, use the VLC repo:
    Index of /pub/videolan/vlc/SuSE/13.1/

    But better don't have the VLC and the Packman repo enabled at the same time. This can lead to problems.

  4. #4
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,055

    Default Re: VLC on openSUSE 13.1 not able to play

    I am running opensuse 13.1 rc2 64 bit and have vlc running fine. I just installed vlc using the packman (12.3) rpm's. Although I did have to use libmatroska and libebml from the 12.3 oss repo (13.1 has updated versions of these libs).

    It is a little bit more complicated with 13.1 than before - as 13.1 includes oss versions of vlc (obviously without the codec rpm) but just replace these with the packman versions.

  5. #5

    Default Re: VLC on openSUSE 13.1 not able to play

    Quote Originally Posted by dth2 View Post
    It is a little bit more complicated with 13.1 than before - as 13.1 includes oss versions of vlc (obviously without the codec rpm) but just replace these with the packman versions.
    Well, it could suffice to only install vlc-codecs from Packman and keep the other vlc packages from the oss repo, since they are the same anyway ATM. I haven't tried that yet, though. (and most likely you wouldn't get updates then, 2.1.1 f.e. when released)

    Btw, Packman packages are already available for 13.1 as well:
    http://pmbs.links2linux.de:82/Essentials/openSUSE_13.1/

    But please don't add this to your repo list, as it is the Packman build server directly and not a mirror!

  6. #6
    Join Date
    Sep 2009
    Location
    Mauritius
    Posts
    23

    Default Re: VLC on openSUSE 13.1 not able to play

    Hello,

    You can install from VideoLAN's repo to get the codecs :

    Code:
    sudo zypper ar http://download.videolan.org/pub/vlc/SuSE/13.1
    sudo zypper mr -r VLC
    sudo zypper in VLC
    Regards,

    Ish

  7. #7

    Default Re: VLC on openSUSE 13.1 not able to play

    Quote Originally Posted by Ishwon View Post
    Hello,

    You can install from VideoLAN's repo to get the codecs :

    Code:
    sudo zypper ar http://download.videolan.org/pub/vlc/SuSE/13.1
    sudo zypper mr -r VLC
    sudo zypper in VLC
    Regards,

    Ish
    Tried that (I had to append the alias "VLC" to the zypper ar command), but VLC wouldn't even start.

    dth2
    I am running opensuse 13.1 rc2 64 bit and have vlc running fine. I just installed vlc using the packman (12.3) rpm's. Although I did have to use libmatroska and libebml from the 12.3 oss repo (13.1 has updated versions of these libs).

    It is a little bit more complicated with 13.1 than before - as 13.1 includes oss versions of vlc (obviously without the codec rpm) but just replace these with the packman versions.
    That got it working for me. I'll just have to remember to remove the 12.3 repos and reinstall when packman 13.1 comes online. Thanks!

  8. #8

    Default Re: VLC on openSUSE 13.1 not able to play

    Quote Originally Posted by Ishwon View Post
    Code:
    sudo zypper ar http://download.videolan.org/pub/vlc/SuSE/13.1
    sudo zypper mr -r VLC
    sudo zypper in VLC
    That doesn't work.

    The missing alias in the first line was already mentioned.
    Then, if vlc is already installed from the OSS repo, "zypper in VLC" won't do anything, you would have to provide the "-f" option.
    Finally, since vlc consists of more than one package, you would end up with a mixture of packages between the VLC and the standard OSS repo (that line only installs vlc, not libvlc and so on), which might not work.
    And also there's no guarantee that vlc will be taken from the VLC repo, that would depend on the version numbers which don't necessarily have to be higher in the VLC repo.

    Btw, the second line is not necessary since auto-refresh is turned on by default.

    I would therefore recommend this way:
    Code:
    sudo zypper ar http://download.videolan.org/pub/vlc/SuSE/13.1 VLC
    sudo zypper in -f --from VLC vlc vlc-noX vlc-codecs vlc-qt vlc-noX-lang vlc-gnome libvlc5 libvlccore7
    Or use YaST->Software Management, search for "vlc" and switch all packages to the VLC repo's versions (click on the "Versions" tab below the package list).

  9. #9
    Join Date
    Dec 2008
    Location
    Hunedoara
    Posts
    41

    Default Re: VLC on openSUSE 13.1 not able to play

    I used packman factory repo and VLC working fine.

    Code:
    oscarmrn@mozilla-suse:~> rpm -qa *vlc*
    vlc-noX-lang-2.1.0-180.9.noarch
    npapi-vlc-2.0.2_git201206081001-1.34.x86_64
    vlc-qt-2.1.0-176.7.x86_64
    libvlc5-2.1.0-176.7.x86_64
    vlc-2.1.0-176.7.x86_64
    vlc-codecs-2.1.0-180.9.x86_64
    vlc-noX-2.1.0-176.7.x86_64
    libvlccore7-2.1.0-176.7.x86_64
    Mozilla. Fundația Ceata. openSUSE Romania.
    Linux user: #484894
    Email: raul.malea@suseromania.ro
    IRC: RaulM YM: raulmalea
    http://raulmalea.hd.ro

  10. #10

    Default Re: VLC on openSUSE 13.1 not able to play

    I simply installed the VLC Beta version in Yast and it's functioning now.

    Thanks

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •